Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.trolltech.qt.webkit
Class QWebHistory

    java.lang.Object
      com.trolltech.qt.internal.QSignalEmitterInternal
          com.trolltech.qt.QSignalEmitter
              com.trolltech.qt.QtJambiObject
                  com.trolltech.qt.webkit.QWebHistory

All Implemented Interfaces:
  QtJambiInterface

    public final class QWebHistory

extends QtJambiObject

The `QWebHistory` class represents the history of a `QWebPage` Each `QWebPage` instance contains a history of visited pages that can be accessed by `QWebPage::history()`. `QWebHistory` represents this history and makes it possible to navigate it.

The history uses the concept of a current item, dividing the pages visited into those that can be visited by navigating back and forward using the `back()` and `forward()` functions. The current item can be obtained by calling `currentItem()`, and an arbitrary item in the history can be made the current item by passing it to `goToItem()`.

A list of items describing the pages that can be visited by going back can be obtained by calling the `backItems()` function; similarly, items describing the pages ahead of the current page can be obtained with the `forwardItems()` function. The total list of items is obtained with the `items()` function.

Just as with containers, functions are available to examine the history in terms of a list. Arbitrary items in the history can be obtained with `itemAt()`, the total number of items is given by `count()`, and the history can be cleared with the `clear()` function.

See also:
  `QWebHistoryItem`, `QWebHistoryInterface`, and `QWebPage`.

Nested Class Summary

Nested classes/interfaces inherited from class com.trolltech.qt.QSignalEmitter
`QSignalEmitter.AbstractSignal, QSignalEmitter.Signal0, QSignalEmitter.Signal1, QSignalEmitter.Signal2, QSignalEmitter.Signal3, QSignalEmitter.Signal4, QSignalEmitter.Signal5, QSignalEmitter.Signal6, QSignalEmitter.Signal7, QSignalEmitter.Signal8, QSignalEmitter.Signal9`

Nested classes/interfaces inherited from class com.trolltech.qt.internal.QSignalEmitterInternal
`com.trolltech.qt.internal.QSignalEmitterInternal.AbstractSignalInternal`

Field Summary

Fields inherited from class com.trolltech.qt.internal.QSignalEmitterInternal
`currentSender`

Method Summary
`void` | `back()` Set the current item to be the previous item in the history and goes to the corresponding page; i.
`QWebHistoryItem` | `backItem()` Returns the item before the current item in the history.
`java.util.List` | `backItems(int maxItems)` Returns the list of items in the backwards history list.
`boolean` | `canGoBack()` Returns true if there is an item preceding the current item in the history; otherwise returns false.
`boolean` | `canGoForward()` Returns true if we have an item to go forward to; otherwise returns false.
`void` | `clear()` Clears the history.
`int` | `count()` Returns the total number of items in the history.
`QWebHistoryItem` | `currentItem()` Returns the current item in the history.
`void` | `forward()` Sets the current item to be the next item in the history and goes to the corresponding page; i.
`QWebHistoryItem` | `forwardItem()` Returns the item after the current item in the history.
`java.util.List` | `forwardItems(int maxItems)` Returns the list of items in the forward history list.
`void` | `goToItem(QWebHistoryItem item)` Sets the current item to be the specified `item` in the history and goes to the page.
`QWebHistoryItem` | `itemAt(int i)` Returns the item at index `i` in the history.
`java.util.List` | `items()` Returns a list of all items currently in the history.

Methods inherited from class com.trolltech.qt.QtJambiObject
`dispose, disposed, equals, finalize, reassignNativeResources, tr, tr, tr`

Methods inherited from class com.trolltech.qt.QSignalEmitter
`blockSignals, disconnect, disconnect, signalsBlocked, signalSender, thread`

Methods inherited from class com.trolltech.qt.internal.QSignalEmitterInternal
`__qt_signalInitialization`

Methods inherited from class java.lang.Object
`clone, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface com.trolltech.qt.QtJambiInterface
`disableGarbageCollection, nativeId, nativePointer, reenableGarbageCollection, setJavaOwnership`

Method Detail

### back

    public final void back()

  Set the current item to be the previous item in the history and goes to the corresponding page; i. ., goes back one history item.

See also:
  `forward()`, and `goToItem()`.

### backItem

    public final QWebHistoryItem backItem()

  Returns the item before the current item in the history.

### backItems

    public final java.util.List backItems(int maxItems)

  Returns the list of items in the backwards history list. At most `maxItems` entries are returned.

See also:
  `forwardItems()`.

### canGoBack

    public final boolean canGoBack()

  Returns true if there is an item preceding the current item in the history; otherwise returns false.

See also:
  `canGoForward()`.

### canGoForward

    public final boolean canGoForward()

  Returns true if we have an item to go forward to; otherwise returns false.

See also:
  `canGoBack()`.

### clear

    public final void clear()

  Clears the history.

See also:
  `count()`, and `items()`.

### count

    public final int count()

  Returns the total number of items in the history.

### currentItem

    public final QWebHistoryItem currentItem()

  Returns the current item in the history.

### forward

    public final void forward()

  Sets the current item to be the next item in the history and goes to the corresponding page; i. ., goes forward one history item.

See also:
  `back()`, and `goToItem()`.

### forwardItem

    public final QWebHistoryItem forwardItem()

  Returns the item after the current item in the history.

### forwardItems

    public final java.util.List forwardItems(int maxItems)

  Returns the list of items in the forward history list. At most `maxItems` entries are returned.

See also:
  `backItems()`.

### goToItem

    public final void goToItem(QWebHistoryItem item)

  Sets the current item to be the specified `item` in the history and goes to the page.

See also:
  `back()`, and `forward()`.

### itemAt

    public final QWebHistoryItem itemAt(int i)

  Returns the item at index `i` in the history.

### items

    public final java.util.List items()

  Returns a list of all items currently in the history.

See also:
  `count()`, and `clear()`.

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD